/*
 * Shft: shifts the characters at the right of the cursor position to the
 *       next tabulation position
 *
 *   Before using it, set up tabulations with a call like 'tabs i 8 ft *'
 *
 *   Type 'help tabs' to know more about the 'tabs' command.
 */

#include <stdio.h>
#include "ex_sedit.h"

#define DBX_SLEEP 0

char *malloc(), *realloc();

char **mkargl();
main()
{
  char **r_tabs, **r_curline, buff[100], **words, *new;
  int *line, *cursor, *tabs, *curline, nbw, pz, l1, l2, l3, ll;
  register i, j;

  ex_ini();

#if DBX_SLEEP
  fprintf(stderr, "Shft: process %d sleeping\n", getpid());
  i = 1;
  while(i)
    usleep(100000);
#endif

  extract2(NULL, &cursor, "cursor");

  if (cursor[3] != -1)
   { extract2(NULL, &line, "line");
     extract2(&r_tabs, &tabs, "tabs");
     if (tabs[0])
      { sprintf(buff, ":%d", cursor[3]);
        sends(buff);
        extract2(&r_curline, &curline, "curline");
        words = mkargl(r_tabs[1], strlen(r_tabs[1]), &nbw);
        for(i=0; i<nbw; i++)
         { sscanf(words[i], "%d", &pz);
           if (pz > cursor[4])
            { l1 = cursor[4] - 1;                  /* Before cursor */
              l2 = pz - cursor[4];                 /* Spaces to add */
              l3 = strlen(r_curline[3]) - l1;      /* After cursor  */

              ll  = l1+l2+l3+8;
              new = malloc(1+ll);
              bcopy("replace ", new, 8);
              bcopy(r_curline[3], new+8, l1);
              for(j=0; j<l2; j++) new[8+l1+j] = ' ';
              bcopy(r_curline[3]+l1, new+8+l1+l2, l3);
              new[ll] = '\0';
              sends(new);
              sprintf(buff, "cursor file %d %d", cursor[3], cursor[4]+l2);
              sends(buff);
              break;
            }
         }
       sprintf(buff, ":%d", line[1]);
       sends(buff);
      }
   }

  ex_end(0);

}

char **mkargl(com, len, nbm)
  char *com;
  int len, *nbm;
{
  register i;
  int idd, i1, i2, nb, l2;
  char **bu;

  idd = 0;
  nb = 0;
  bu = (char **) malloc(sizeof(char *));

  while ( idd < len )
   {  for ( i=idd; i<len; i++ ) if ( com[i] != ' ' ) break;
      if ( i == len ) break;
      i1 = i;

      for ( i=i1+1; i<len; i++ ) if ( com[i] == ' ' ) break;
      i2 = i-1;

      bu = (char **) realloc( bu, (1 + ++nb) * sizeof(char *));

      bu[nb-1] = (char *) malloc( 1 + (l2 = i2-i1+1) );
      for ( i=0; i<l2; i++ ) bu[nb-1][i] = com[i+i1];
      bu[nb-1][l2] = '\0';

      idd = i2+1;
   }

    bu[nb] = (char *) NULL;
    *nbm = nb;

    return(bu);

}
