QUEUED_RX - Query External Data Queue length


int queued_rx()


queued_rx returns the external data queue (or stack) length.


Example: A C demo5.c program:


-----------------------------------------------------------------------
#include <stdio.h>

int call_back(string, len)
  char *string;         /* ARGSUSED */
{
  printf ("call_back: stack length = %d\n", queued_rx());
  return(0);
}

main()
{
 env_rx("MyEnv", call_back, 1);
 run_rx("r_demo5", "/home/xed", NULL, NULL, NULL);
}
-----------------------------------------------------------------------

A r_demo5 S/REXX program called by the demo5 program:

-----------------------------------------------------------------------
''
queue '1'
queue '2'
queue '3'
''
pull .
pull .
pull .
''
-----------------------------------------------------------------------


To compile and execute this program, issue the following commands:


-----------------------------------------------------------------------
C{foo}% cd {install-dir}/demo/demo_sr
C{demo_sr}% make demo5
cc -O -o demo5 demo5.c ../../lib/sun4/libsr.o -I../../include  -lc -lm
8.8u 2.0s 0:13 82% 0+876k 44+71io 81pf+0w
C{demo_sr}% demo5
call_back: stack length = 0
call_back: stack length = 3
call_back: stack length = 0
C{demo_sr}%
-----------------------------------------------------------------------

where {install-dir} is the actual S/REXX installation directory.
