RM / DEL / RECYCLE - Delete Files


DEL(ff)
RM(ff)
RECYCLE(ff)

RM() and DEL() remove the ff files, and returns the full path names of the
deleted files.

On WINDOWS systems, RECYCLE() moves the ff files OR DIRECTORIES to the
recycle bin.

ff may include the ~ .. UNIX or WINDOWS file meta characters. If a
filename contains blanks, it must be surrounded with quotes or double
quotes.

When RM fails, it sets the rc variable to a non-zero value, and returns an
error message, such as:

  RM() error: File does not exist


Examples:    say rm("~/foo ~/test")
                  could print:  /user/john/foo /usr/john/test

             call rm '"/user/file with blanks"'

             call recycle "'c:\Program Files\log'"
