REGISTRY_DEL - Delete REGISTRY Key Contents


On WINDOWS systems, REGISTRY_DEL() is used to delete the contents of a
registry key, or the key itself.

WARNING:   DISRUPTING THE WINDOWS REGISTRY CAN IRREPARABLY DAMAGE THE
           SYSTEM.

rc = REGISTRY_DEL(hkey, where{, name})

hkey    is the key root location in the registry. hkey can be one of the
        following strings:

        HKEY_CLASSES_ROOT
        HKEY_CURRENT_USER
        HKEY_LOCAL_MACHINE
        HKEY_USERS
        HKEY_CURRENT_CONFIG
        HKEY_DYN_DATA

where   is the location of the key in the hkey tree.

name    when provided, name is the name of the subkey to be removed.

        when not provided, the whole where key is removed. Note that on
        WINDOWS NT systems, where must be empty in order to be removed.

rc      is 0 when the call succeeds, or an error message.

Examples:

   call registry_del("HKEY_LOCAL_MACHINE", "SOFTWARE\test", "dms")

   call registry_del("HKEY_LOCAL_MACHINE", "SOFTWARE\test")
