SERVICE_CREATE - Create a Service


On WINDOWS NT systems, SERVICE_CREATE() is an interface to the WIN32
CreateService function. SERVICE_CREATE() accepts arguments similar to the
following CreateService arguments:

    LPCTSTR lpServiceName      // pointer to name of service to start
    LPCTSTR lpDisplayName      // pointer to display name
    DWORD   dwDesiredAccess    // type of access to service
    DWORD   dwServiceType      // type of service
    DWORD   dwStartType        // when to start service
    DWORD   dwErrorControl     // severity if service fails to start
    LPCTSTR lpBinaryPathName   // pointer to name of binary file
    LPCTSTR lpLoadOrderGroup   // pointer to name of load ordering group
    LPCTSTR lpDependencies     // pointer to array of dependency names
    LPCTSTR lpServiceStartName // pointer to account name of service
    LPCTSTR lpPassword         // pointer to password for service account

See the Microsoft CreateService documentation for more information.

SERVICE_CREATE() returns 0 in case of success, or an explicit error
message.

Example:    call service_create,
             'SEDIT-SREXX License Server',,
             'SEDIT-SREXX License Server',,
             'SERVICE_ALL_ACCESS',,
             'SERVICE_WIN32_OWN_PROCESS|SERVICE_INTERACTIVE_PROCESS',,
             'SERVICE_AUTO_START',,
             'SERVICE_ERROR_NORMAL',,
             'c:\Program Files\SEDIT\xserv.exe'
