UNIX or SH - Pass UNIX command


UNIX(cmd{, stem})

On UNIX systems, UNIX() executes the UNIX command cmd using the Bourne
shell sh.

On WINDOWS systems, UNIX() is identical to the WINDOWS() built-in
function.

When stem is not provided, the cmd output will be placed in the stack. The
user will be able to read it using the parse pull command.

The queued() function may be used to return the number of lines in the
stack.

When stem is provided, it must me a valid REXX name. It will be filled
with the cmd output.

Example:        call unix "df", tab
                (or call sh "df", tab)
                tab.0 will contain the number of lines sent back by df.
                tab.1, tab.2, ... will contain the df output line by line.


Note:   sh does not support the ~ meta character. Use csh() or ksh() to
        pass a command such as call csh 'ls ~/foo*.c'


See also the CSH(), TCSH() and KSH() functions.
