/*
 * srexx.new: demonstrate how to create a general srexx module with a new
 *            address. Its name must contain the 'srexx' string.
 */

#include <stdio.h>
#include "srexx.h"

int call_back(string, len)
  char *string;
  int len;
{
  printf ("call_back: received \"%s\"\n", string);
  return(0);
}

main(argc, argv)
  int argc;
  char **argv;
{
  int rc;
  char *cct, *cct_i, *inst;
  int *lc, sum, len, i;

  if (argc == 1)
   { printf("srexx.new usage: srexx.new filename {args}\n");
     exit(1);
   }

  /*
   *  We must pass a unique string with all the arguments
   */
  lc  = (int *) malloc_a( argc * sizeof(lc[0]));
  sum = 0;
  for (i=1; i<argc; i++)
   { lc[i] = strlen(argv[i]);
     sum  += lc[i];
   }

  len = argc + sum ;
  cct_i = cct = malloc_a(len);

  for (i=1; i<argc; i++)
   { bcopy(argv[i], cct_i, lc[i]);
     cct_i += lc[i];
     *cct_i = ' ';
     ++cct_i;
   }

  cct[len-1] = '\0';


  env_rx("MyEnv", call_back, 0);
  rc = run_rx(cct, "../..", NULL, NULL, NULL);

  exit(rc);
}
