DROPBUF - Remove Stack
----------------------


DROPBUF is not part of the S/REXX language, but for VM/CMS compatibility
it is implemented as an extension of the UNIX or WINDOWS environment.
Therefore, it is recommended to enclosed it in quotes in order to prevent
the normal S/REXX variable substitution.


DROPBUF format is:

    DROPBUF {n}     removes the specified stack buffer.

n specifies the number of the first stack buffer to be removed. DROPBUF
will remove all stack buffers which number is greater than n.

When n is not specified, the most recently created buffer is removed.



See Also: DESBUF, MAKEBUF, SENTRIES
