VALUE - Set or retrieve a variable

VALUE(symb {,expr}) returns the value of the symb S/REXX variable.

When the expr expression is specified, expr will be assigned to symb.

If symb refers to an uninitialized variable, the default value of that
variable is always returned, regardless of the NOVALUE condition which
is never raised.


Examples:       tr = 4
                say value('tr')                   /* Displays "4"      */
                call value 'tab.'tr, 2**8         /* Sets tab.4 to 256 */
